<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns="http://www.tei-c.org/ns/1.0"
  exclude-result-prefixes="xs"
  version="2.0">
  
  <xsl:output indent="yes"/>
  
  <!-- In this pass we cast into the TEI namespace and add a
       TEI infrastructure. (We will need more capable markup when
       we start editing by hand, and TEI is convenient.) -->
  
  <xsl:template match="text">
    <xsl:processing-instruction name="xml-model">href="http://www.tei-c.org/release/xml/tei/custom/schema/relaxng/teilite.rng" schematypens="http://relaxng.org/ns/structure/1.0"</xsl:processing-instruction>
    <xsl:text>&#xA;</xsl:text><!-- cosmetic LF -->
    <TEI xmlns="http://www.tei-c.org/ns/1.0">
      <teiHeader>
        <fileDesc>
          <titleStmt>
            <title>Fechner's <title level="m">Büchlein vom Leben nach dem Tode</title> (Treatise
              Concerning Life After Death) in English translation: an electronic
              edition</title>
            <author role="primary">Gustav Fechner (1801-1887)</author>
            <author role="translator">Mary C. Wadsworth</author>
            <author role="introduction">William James</author>
            <principal>Wendell Piez</principal>
          </titleStmt>
          <publicationStmt>
            <p>Published under a <ref
              target="http://creativecommons.org/licenses/by/3.0/">Creative
              Commons Attribution 3.0 Unported License</ref>. Please use freely
              (and credit your sources).</p>
          </publicationStmt>
          <sourceDesc>
            <p>Upconverted via XSLT pipeline from a plain text version
              distributed freely on line: see <ref
              target="http://www.archive.org/stream/thelittlebookof00fechuoft/thelittlebookof00fechuoft_djvu.txt"
              >http://www.archive.org/stream/thelittlebookof00fechuoft/thelittlebookof00fechuoft_djvu.txt</ref>.</p>
          </sourceDesc>
        </fileDesc>
        <encodingDesc>
          <projectDesc>
            <p>Created as a demonstration of XSLT pipelining for upconversion from plain text.</p>
          </projectDesc>
        </encodingDesc>
      </teiHeader>
      <text>
        <body>
          <xsl:apply-templates/>
        </body>
      </text>
    </TEI>
  </xsl:template>
  
  <xsl:template match="*">
    <xsl:element name="{local-name()}" namespace="http://www.tei-c.org/ns/1.0">
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
    </xsl:element>
  </xsl:template>
    
</xsl:stylesheet>