<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  exclude-result-prefixes="xs"
  version="2.0">
  
  <xsl:output indent="yes"/>
  
  <!-- In this pass we delete lines that are blank and followed
       by another blank line -->
  
  <xsl:template match="line[not(normalize-space(.))]
    [not(normalize-space(following-sibling::line[1]))]"/>

  <xsl:template match="line[matches(.,'^[\s\dclxvi]+$','i')]" priority="2">
    <!-- The regex does its best to match lines identifying page numbers -->
    <pb n="{lower-case(normalize-space(.))}"/>
  </xsl:template>
  
  <xsl:template match="*">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>
    
    
</xsl:stylesheet>