<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  exclude-result-prefixes="xs"
  version="2.0">
  
  <xsl:output indent="yes"/>
  
  <xsl:variable name="unheads" as="element(line)+">
    <!-- Of the line elements passed through filter-lines2.xsl, these
         do not start chapters or divisions -->
    <line>WILLIAM JAMES.</line>
    <line>EDITION</line>
    <line>THE PUBLISHERS.</line>
    <line>XLII.)</line>
  </xsl:variable>
  
  <!-- In this pass we group together the textual divisions, and
       within them, paragraphs. -->
  
  <xsl:template match="text">
    <xsl:copy>
      <xsl:for-each-group select="* (: matching line and pb :)"
        group-starting-with="line[normalize-space(.)][.=upper-case(.)][not(.=$unheads)]">
        <!-- We generate a div for every group of lines starting with a header, identified as
             anything in all capitals but not listed in our $unheads list -->
        <div>
          <xsl:copy-of select="current-group()"/>
        </div>
      </xsl:for-each-group>
    </xsl:copy>
  </xsl:template>
  
  <xsl:template match="*">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>
    
    
</xsl:stylesheet>