<?xml version="1.0" encoding="UTF-8"?>
<p:declare-step version="1.0" xmlns:p="http://www.w3.org/ns/xproc"
  xmlns:wap="urn:wendell:piez:xproc:extensions"
  name="xLMNL-generate" type="wap:xLMNL-generate">

  <p:serialization port="step1" indent="true"/>
  <p:serialization port="step2" indent="true"/>
  <p:serialization port="step3" indent="true"/>
  <p:serialization port="step4" indent="true"/>
  <p:serialization port="step5" indent="true"/>
  <p:serialization port="final" indent="true"/>
  
  <p:option name="source"/>
  
  <p:input port="source">
    <p:inline><doc> Source file called in via parameter passed as 'source' option </doc></p:inline>
  </p:input>
  
  <p:output port="step1" primary="false">
    <p:pipe port="result" step="break-lines"/>
  </p:output>
  
  <p:output port="step2" primary="false">
    <p:pipe port="result" step="filter-lines1"/>
  </p:output>
  
  <p:output port="step3" primary="false">
    <p:pipe port="result" step="filter-lines2"/>
  </p:output>
  
  <p:output port="step4" primary="false">
    <p:pipe port="result" step="group-lines"/>
  </p:output>
  
  <p:output port="step5" primary="false">
    <p:pipe port="result" step="subgroup-lines"/>
  </p:output>

  <p:output port="final" primary="true">
    <p:pipe port="result" step="TEIify"/>
  </p:output>
  
  <p:input kind="parameter" port="parameters" primary="true"/>
  
  <p:xslt version="2.0" name="break-lines">
    <p:with-param name="filename" select="$source"/>
    <p:input port="stylesheet">
      <p:document href="plaintext-to-TEI/break-lines.xsl"/>
    </p:input>   
  </p:xslt>
  
  <p:xslt version="2.0" name="filter-lines1">
    <p:input port="stylesheet">
      <p:document href="plaintext-to-TEI/filter-lines1.xsl"/>
    </p:input>   
  </p:xslt>
  
  <p:xslt version="2.0" name="filter-lines2">
    <p:input port="stylesheet">
      <p:document href="plaintext-to-TEI/filter-lines2.xsl"/>
    </p:input>   
  </p:xslt>
  
  <p:xslt version="2.0" name="group-lines">
    <p:input port="stylesheet">
      <p:document href="plaintext-to-TEI/group-lines.xsl"/>
    </p:input>   
  </p:xslt>
  
  <p:xslt version="2.0" name="subgroup-lines">
    <p:input port="stylesheet">
      <p:document href="plaintext-to-TEI/subgroup-lines.xsl"/>
    </p:input>   
  </p:xslt>
  
  <p:xslt version="2.0" name="TEIify">
    <p:input port="stylesheet">
      <p:document href="plaintext-to-TEI/TEIify.xsl"/>
    </p:input>   
  </p:xslt>
  
  
</p:declare-step>
